EAP Multiple Pre-Shared Keys (EAP-MPSK) Method
Internet-Draft draft-yan-emu-eap-multiple-psk-00
Lei YAN, Ed.
Huawei
Ruanjiandadao Road
Nanjing
210000
China
ray.yanlei@huawei.com
04 March 2024
Security
EMU
EAP
Multiple PSKs
PSK Producer
This document defines an Extensible Authentication Protocol (EAP) method for supporting the negotiation of a PSK among multiple PSKs.
Introduction
The existing PSK-based EAP methods, EAP-GPSK [RFC5433], EAP-PSK [RFC4764], EAP-SAKE [RFC4763] and EAP-PAX [RFC4746], assumed that only one PSK had been configured for the EAP peer and server. A single PSK does not provide perfect forward secrecy [RFC5433].
Compromise of the PSK leads to compromise of recorded past sessions. Moreover, compromise of the PSK enables the attacker to impersonate the peer and the server, and it allows the adversary to compromise future sessions. One solution is to use multiple PSKs between the EAP peer and server.
Traditional manual configuration of PSKs lacks automation and is less efficient. Currently, there are some new manners of configuring PSKs more efficiently. Quantum keys generated by a quantum network can be automatically obtained through a network and configured as PSKs. In the mobile communication scenario, plenty of quantum keys can be offline implanted into mobile terminals. In the post-quantum scenario, each communication peer is typically assumed to have a list of post-quantum PSKs [RFC8784]. If there are ample PSKs, using each PSK only once will provide perfect forward secrecy. Moreover, the attacker cannot impersonate the peer and the server by compromising a used PSK; one PSK's compromise will not influence future sessions.
Furthermore, the issue of PSK identity collisions should be considered when managing multiple PSKs. PSKs can be configured in different manners, for example, through traditional manual configuration or obtained through quantum key generators. The PSK identities in different configuration methods usually do not have a unified plan. Thus, it is possible that a PSK identity may clash with another PSK identity configured in a different manner. Even obtained from different quantum key generators, the PSKs' identity may have a collision. Thus, multiple PSKs should be managed by category.
This document modifies the EAP-GPSK to support the negotiation of a PSK among multiple PSKs.
Terminology
Requirements Language
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Overview
Security Considerations
IANA Considerations
References
Normative References
[RFC5433]

Extensible Authentication Protocol - Generalized Pre-Shared Key (EAP-GPSK) Method
T. Clancy
H. Tschofenig
February 2009
RFC 5433
DOI 10.17487/RFC5433
[RFC8784]

Mixing Preshared Keys in the Internet Key Exchange Protocol Version 2 (IKEv2) for Post-quantum Security
S. Fluhrer
P. Kampanakis
D. McGrew
V. Smyslov
June 2020
RFC 8784
DOI 10.17487/RFC8784
[RFC2119]

Key words for use in RFCs to Indicate Requirement Levels
S. Bradner
March 1997
BCP 14
RFC 2119
DOI 10.17487/RFC2119
[RFC8174]

Ambiguity of Uppercase vs Lowercase in RFC 2119 Key Words
B. Leiba
May 2017
BCP 14
RFC 8174
DOI 10.17487/RFC8174
Informative References
[RFC4746]

Extensible Authentication Protocol (EAP) Password Authenticated Exchange
T. Clancy
W. Arbaugh
November 2006
RFC 4746
DOI 10.17487/RFC4746
[RFC4764]

The EAP-PSK Protocol: A Pre-Shared Key Extensible Authentication Protocol (EAP) Method
F. Bersani
H. Tschofenig
January 2007
RFC 4764
DOI 10.17487/RFC4764
[RFC4763]

Extensible Authentication Protocol Method for Shared-secret Authentication and Key Establishment (EAP-SAKE)
M. Vanderveen
H. Soliman
November 2006
RFC 4763
DOI 10.17487/RFC4763
Acknowledgements
Contributors